summaryrefslogtreecommitdiff
path: root/packaging/Solaris
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2001-06-01 12:33:16 +0000
committerGerald Carter <jerry@samba.org>2001-06-01 12:33:16 +0000
commite76caa5a8b2015211741253b5aa4e069621e411a (patch)
tree57e67493bb23366a97f2739d53261037ed38fffd /packaging/Solaris
parentff681c40678cca8e5b2fa5400fc4f9319c5aa869 (diff)
downloadsamba-e76caa5a8b2015211741253b5aa4e069621e411a.tar.gz
samba-e76caa5a8b2015211741253b5aa4e069621e411a.tar.bz2
samba-e76caa5a8b2015211741253b5aa4e069621e411a.zip
final sync with SAMBA_2_2
(This used to be commit a25f6694d230fe384c212350dacf17bfae3ab79d)
Diffstat (limited to 'packaging/Solaris')
-rwxr-xr-xpackaging/Solaris/makepkg.sh33
-rw-r--r--packaging/Solaris/prototype.master46
2 files changed, 37 insertions, 42 deletions
diff --git a/packaging/Solaris/makepkg.sh b/packaging/Solaris/makepkg.sh
index ea15eafbc3..b57e182e4a 100755
--- a/packaging/Solaris/makepkg.sh
+++ b/packaging/Solaris/makepkg.sh
@@ -52,6 +52,38 @@ add_dynamic_entries()
echo f none samba/bin/$binfile=source/bin/$binfile 0755 root other
fi
done
+
+ # Add the scripts to bin/
+ echo "#\n# Scripts \n#"
+ cd $DISTR_BASE/source/script
+ for shfile in *
+ do
+ if [ -f $shfile ]; then
+ echo f none samba/bin/$shfile=source/script/$shfile 0755 root other
+ fi
+ done
+
+ # Add the manpages
+ echo "#\n# man pages \n#"
+ echo d none /usr ? ? ?
+ echo d none /usr/share ? ? ?
+ echo d none /usr/share/man ? ? ?
+
+ # Create directories for man page sections if nonexistent
+ cd $DISTR_BASE/docs/manpages
+ for i in 1 2 3 4 5 6 7 8 9
+ do
+ manpages=`ls *.$i 2>/dev/null`
+ if [ $? -eq 0 ]
+ then
+ echo d none /usr/share/man/man$i ? ? ?
+ for manpage in $manpages
+ do
+ echo f none /usr/share/man/man${i}/${manpage}=docs/manpages/$manpage 0644 root other
+ done
+ fi
+ done
+
echo "#\n# HTML documentation \n#"
cd $DISTR_BASE
list=`find docs/htmldocs -type d | grep -v "/CVS$"`
@@ -151,4 +183,3 @@ then
pkgtrans /tmp samba.pkg samba
fi
echo The samba package is in /tmp
-rm -f prototype
diff --git a/packaging/Solaris/prototype.master b/packaging/Solaris/prototype.master
index 8f98104cdd..bfcb3e0049 100644
--- a/packaging/Solaris/prototype.master
+++ b/packaging/Solaris/prototype.master
@@ -8,6 +8,7 @@
i pkginfo=./pkginfo
i copyright=./copyright
i request=./request
+i checkinstall
i preremove=./preremove
i postinstall=./postinstall
i i.swat=./i.swat
@@ -15,7 +16,7 @@ i r.swat=./r.swat
#
# Stuff that goes into the system areas of the filesystem.
#
-d initscript /etc ? ? ?
+d none /etc ? ? ?
d initscript /etc/init.d ? ? ?
f initscript /etc/init.d/samba.server=packaging/Solaris/samba.server 0744 root sys
d initscript /etc/rc3.d ? ? ?
@@ -23,8 +24,9 @@ s initscript /etc/rc3.d/S99samba.server=../init.d/samba.server
#
# Stuff to set up SWAT
#
-e swat /etc/services=packaging/Solaris/services ? ? ?
-e swat /etc/inetd.conf=packaging/Solaris/inetd.conf ? ? ?
+d swat /etc/inet ? ? ?
+e swat /etc/inet/services=packaging/Solaris/services ? ? ?
+e swat /etc/inet/inetd.conf=packaging/Solaris/inetd.conf ? ? ?
#
# Create the samba subtree. (Usually /usr/local/samba )
#
@@ -34,44 +36,6 @@ d none samba/bin 0755 root other
d none samba/lib 0755 root other
d none samba/docs 0755 root other
#
-# Scripts
-#
-f none samba/bin/smbtar=source/script/smbtar 0755 root other
-f none samba/bin/addtosmbpass=source/script/addtosmbpass 0755 root other
-f none samba/bin/convert_smbpasswd=source/script/convert_smbpasswd 0755 root other
-f none samba/bin/mksmbpasswd.sh=source/script/mksmbpasswd.sh 0755 root other
-#
-# man pages
-#
-d none /usr ? ? ?
-d none /usr/share ? ? ?
-d none /usr/share/man ? ? ?
-d none /usr/share/man/man1 ? ? ?
-d none /usr/share/man/man5 ? ? ?
-d none /usr/share/man/man7 ? ? ?
-d none /usr/share/man/man8 ? ? ?
-f none /usr/share/man/man1/make_smbcodepage.1=docs/manpages/make_smbcodepage.1 0644 root other
-f none /usr/share/man/man1/nmblookup.1=docs/manpages/nmblookup.1 0644 root other
-f none /usr/share/man/man1/smbclient.1=docs/manpages/smbclient.1 0644 root other
-f none /usr/share/man/man1/smbrun.1=docs/manpages/smbrun.1 0644 root other
-f none /usr/share/man/man1/smbsh.1=docs/manpages/smbsh.1 0644 root other
-f none /usr/share/man/man1/smbstatus.1=docs/manpages/smbstatus.1 0644 root other
-f none /usr/share/man/man1/smbtar.1=docs/manpages/smbtar.1 0644 root other
-f none /usr/share/man/man1/testparm.1=docs/manpages/testparm.1 0644 root other
-f none /usr/share/man/man1/testprns.1=docs/manpages/testprns.1 0644 root other
-f none /usr/share/man/man5/lmhosts.5=docs/manpages/lmhosts.5 0644 root other
-f none /usr/share/man/man5/smb.conf.5=docs/manpages/smb.conf.5 0644 root other
-f none /usr/share/man/man5/smbpasswd.5=docs/manpages/smbpasswd.5 0644 root other
-f none /usr/share/man/man7/samba.7=docs/manpages/samba.7 0644 root other
-f none /usr/share/man/man8/nmbd.8=docs/manpages/nmbd.8 0644 root other
-f none /usr/share/man/man8/smbd.8=docs/manpages/smbd.8 0644 root other
-f none /usr/share/man/man8/smbmnt.8=docs/manpages/smbmnt.8 0644 root other
-f none /usr/share/man/man8/smbmount.8=docs/manpages/smbmount.8 0644 root other
-f none /usr/share/man/man8/smbpasswd.8=docs/manpages/smbpasswd.8 0644 root other
-f none /usr/share/man/man8/smbumount.8=docs/manpages/smbumount.8 0644 root other
-f none /usr/share/man/man8/swat.8=docs/manpages/swat.8 0644 root other
-f none /usr/share/man/man8/smbspool.8=docs/manpages/smbspool.8 0644 root other
-#
# Stuff that goes into lib
#
f none samba/lib/smb.conf.example=examples/smb.conf.default 0644 root other